File: control

package info (click to toggle)
lsb 9.20161125
  • links: PTS, VCS
  • area: main
  • in suites: stretch
  • size: 316 kB
  • ctags: 71
  • sloc: python: 1,151; sh: 284; makefile: 76; perl: 6
file content (84 lines) | stat: -rw-r--r-- 2,582 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
Source: lsb
Section: misc
Priority: extra
Maintainer: Debian LSB Team <debian-lsb@lists.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>, Jeff Licquia <licquia@debian.org>
Build-Depends: debhelper (>> 9.0),
 po-debconf (>= 0.5.0),
 dpkg-dev (>= 1.10),
 python3-all:any,
 dh-python,
 distro-info-data,
X-Python3-Version: >= 3.4
Standards-Version: 3.9.8
Homepage: http://www.linuxfoundation.org/collaborate/workgroups/lsb
Vcs-Git: git://anonscm.debian.org/collab-maint/lsb.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/lsb.git

Package: lsb-base
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Priority: required
Description: Linux Standard Base init script functionality
 The Linux Standard Base (http://www.linuxbase.org/) is a standard
 core system that third-party applications written for Linux can
 depend upon.
 .
 This package only includes the init-functions shell library, which
 may be used by other packages' initialization scripts for console
 logging and other purposes.

Package: lsb-release
Architecture: all
Priority: optional
Multi-Arch: foreign
Depends: ${python3:Depends},
 ${misc:Depends},
 distro-info-data,
Recommends: apt
Suggests: lsb
Description: Linux Standard Base version reporting utility
 The Linux Standard Base (http://www.linuxbase.org/) is a standard
 core system that third-party applications written for Linux can
 depend upon.
 .
 The lsb-release command is a simple tool to help identify the Linux
 distribution being used and its compliance with the Linux Standard Base.
 LSB conformance will not be reported unless the required metapackages are
 installed.
 .
 While it is intended for use by LSB packages, this command may also
 be useful for programmatically distinguishing between a pure Debian
 installation and derived distributions.

Package: lsb-compat
Architecture: any
Depends: lsb-release (>= ${source:Version}),
 lsb-base (>= ${source:Version}),
 ${glibc},
 ${python3:Depends},
 ${misc:Depends},
 ${depends},
# printer drivers, such as epson-inkjet-printer-201106w
 libcups2,
 libcupsimage2,
 ghostscript,
 cups-filters (>= 1.0.36),
Provides: ${provides},
 lsb-core (= 4.1),
 lsb (= 4.1),
Conflicts:
 lsb-core,
 lsb
Replaces:
 lsb-core,
 lsb
Description: Linux Standard Base Compatibility
 The Linux Standard Base (http://www.linuxbase.org/) was a standard
 core system that third-party applications written for Linux could
 depend upon.
 .
 This package provides the most minimal layer to be able to install and run
 selected legacy LSB packages on Debian.